//! The actual running service
use super::*;
use std::sync::Arc;
use tokio::sync::{
    RwLock,
    Mutex,
    
    mpsc,
};

pub mod command;

/// Handle to a running service
#[derive(Debug)]
pub struct Handle
{
    
}

#[derive(Debug)]
struct CommInner
{

}

/// Communicate with a running service
#[derive(Debug, Clone)]
pub struct Comm{
    inner: Arc<CommInner>,

    tx: mpsc::Sender<()>,
}

impl Eq for Comm{}
impl PartialEq for Comm {
    #[inline] fn eq(&self, other: &Self) -> bool
    {
	Arc::ptr_eq(&self.inner, &other.inner)
    }
}
